[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: Nao desliga apos instalacao de gnome-volume-manager



On Fri, 06 Jan 2006 09:12:14 -0200
Marcelo Luiz de Laia <mlaia@fcav.unesp.br> wrote:

> Entaoa, eu dei um dpkg -i --force 
> /var/cache/apt/archives/initscripts_2.86.ds1-4_i386.deb

Chute:

Coloque uma entrada no arquivo sources.list e instale o initscripts da Sid.

Aqui é:  2.86.ds1-6



Outro chute:

Você pode fazer ao contrário: colocar entradas do sarge, remover o initscripts seu e instalar o anterior...



Novo chute:

Segue abaixo o conteúdo do arquivo /etc/init.d/checkfs.sh. Quem sabe você copiando ele no seu atual não resolva?

#! /bin/sh
### BEGIN INIT INFO
# Provides:          checkfs
# Required-Start:    modutils checkroot
# Required-Stop:
# Should-Start:      lvm cryptdisks
# Should-Stop:
# Default-Start:     S
# Default-Stop:
# Short-Description: Check all filesystems.
### END INIT INFO
#
# Version:	@(#)checkfs  2.85-13  22-Mar-2004  miquels@cistron.nl
#

[ -z "$FSCKFIX" ] && FSCKFIX=no
[ -f /etc/default/rcS ] && . /etc/default/rcS
. /lib/lsb/init-functions
. /lib/init/functions.sh

do_start () {
    # See if we're on AC Power
    # If not, we're not gonna run our check
    if [ -x /usr/bin/on_ac_power ]; then
        /usr/bin/on_ac_power >/dev/null 2>&1
        if [ $? -eq 1 ]; then
            log_success_msg "On battery, not fscking!"
            ac=no
        fi
    fi

    #
    # Check the rest of the file systems.
    #
    if [ ! -f /fastboot ] && [ -z "$ac" ]
    then
        if [ -f /forcefsck ]
        then
            force="-f"
        else
            force=""
        fi
        if [ "$FSCKFIX"  = yes ]
        then
    	fix="-y"
        else
    	fix="-a"
        fi
        spinner="-C"
        case "$TERM" in
    	dumb|network|unknown|"") spinner="" ;;
        esac
        [ `uname -m` = s390 ] && spinner="" # This should go away
	[ "$VERBOSE" != no ] && log_action_msg "Will now check all file systems"
	fsck $spinner -T -R -A $fix $force
        if [ $? -gt 1 ]
        then
		log_failure_msg "File system check failed.  Please repair manually."
		log_success_msg "CONTROL-D will exit from this shell and continue system startup."
		# Start a single user shell on the console
		/sbin/sulogin $CONSOLE
	else
		[ "$VERBOSE" != no ] && log_success_msg "Done checking file systems"
        fi
    fi
    rm -f /fastboot /forcefsck
}

case "$1" in
    start)
        do_start
        ;;
    restart|reload|force-reload)
        echo "Error: argument '$1' not supported" >&2
        exit 3
        ;;
    stop)
        ;;
    *)
        echo "Usage: $0 start|stop" >&2
        exit 3
        ;;
esac

: exit 0

-- 
Savio Martins Ramos -  Arquiteto
Rio de Janeiro  ICQ 174972645
Pirataria não! Seja livre: Linux
http://www.debian.org



Reply to: